package com.huigou.topsun.sap.nonProdApply.repository;


import com.huigou.topsun.sap.nonProdApply.domain.SapNonProdApplyDept;
import com.huigou.topsun.sap.purchase.domain.SapPurchaseItem;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface NonProdApplyDeptRepository extends JpaRepository<SapNonProdApplyDept,String> {

    SapNonProdApplyDept findByBaseInfoId(String baseInfoId);
    SapNonProdApplyDept findByApplyDeptId(String applyDeptId);
    SapNonProdApplyDept findByMatnr(String matnr);

    List <SapNonProdApplyDept> findByMaktx(String maktx);
}
